# ContourConfiguration class

Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

ContourConfiguration({Color? strokeColor, Color? strokeOkColor, Color? fillColor, Color? fillOkColor, double? strokeWidth, Color? autoSnapProgressStrokeColor, double? autoSnapProgressStrokeWidth, bool? autoSnapProgressEnabled, bool showPolygonInManualMode = false, double? cornerRadius})

## Properties

autoSnapProgressEnabled ↔ bool?
  getter/setter pair
autoSnapProgressStrokeColor ↔ Color?
  getter/setter pair
autoSnapProgressStrokeWidth ↔ double?
  getter/setter pair
cornerRadius ↔ double?
  getter/setter pair
fillColor ↔ Color?
  getter/setter pair
fillOkColor ↔ Color?
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
showPolygonInManualMode ↔ bool
  Whether to show polygon when user scans document with `autoSnapEnabled == false`. Default is false.
  getter/setter pair
strokeColor ↔ Color?
  getter/setter pair
strokeOkColor ↔ Color?
  getter/setter pair
strokeWidth ↔ double?
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited